<?php

namespace Danh\Test\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Danh\Test\Interfaces\TestRepositoryInterface;

class TestPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Danh\Test\Interfaces\TestRepositoryInterface $test
     *
     * @return type
     */
    public function __construct(TestRepositoryInterface $test)
    {
        $this->model = $test;
        parent::__construct();
    }

    /**
     * Show test's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tests = $this->model->all();

        return $this->theme->of('test::public.test.index', compact('tests'))->render();
    }

    /**
     * Show test.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $test = $this->model->findBySlug($slug);

        return $this->theme->of('test::public.test.show', compact('test'))->render();
    }
}
